#include "localdata.h"

const	TCHAR	szKey_BT1[]		= TEXT("BT1");
const	TCHAR	szKey_BT2[]		= TEXT("ChgHeight");
const	TCHAR	szKey_BT3[]		= TEXT("END");
const	TCHAR	szKey_BT4[]		= TEXT("BT4");
const	TCHAR	szKey_BT5[]		= TEXT("BT5");
const	TCHAR	szKey_BT6[]		= TEXT("Dialog1");
const	TCHAR	szKey_BT7[]		= TEXT("Dialog2");

const CSOBAR_BASEINFO	ApCsoBar_BaseInfo = 
{
	(-1),      (-1),      (-1), (-1), 3,   CSOBAR_DEFAULT_BACKCOLOR, CSOBAR_DEFAULT_CODECOLOR, NULL,      0,       0
};

const CSOBAR_BUTTONINFO	ApCsoBar_ButtonInfo[] = 
{
	ID_M_AP_BUTTON_ID001, CSOBAR_COMMON_BUTTON,        CSO_BUTTON_DISP, (-1),        NULL,      NULL,               NULL,   CSOBAR_CODEPOS_CENTER,            1, (-1), (-1), (-1), (-1), CSO_ID_BACK,    CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_ID002, CSOBAR_BUTTON_SUBMENU_DOWN,  CSO_BUTTON_DISP, (-1),        NULL,      (TCHAR *)szKey_BT1, NULL,   CSOBAR_CODEPOS_CENTER,            1, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_ID003, CSOBAR_BUTTON_SUBMENU_DOWN,  CSO_BUTTON_DISP, (-1),        NULL,      (TCHAR *)szKey_BT2, NULL,   CSOBAR_CODEPOS_CENTER,            1, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_ID004, CSOBAR_BUTTON_SUBMENU_RIGHT, CSO_BUTTON_DISP, (-1),        NULL,      (TCHAR *)szKey_BT3, NULL,   CSOBAR_CODEPOS_CENTER,            1, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,

	ID_M_AP_BUTTON_ID005, CSOBAR_COMMON_BUTTON,        CSO_BUTTON_DISP, (-1),        NULL,      (TCHAR *)szKey_BT4, NULL,   CSOBAR_CODEPOS_CENTER,            2, (-1), (-1), (-1), (-1), CSO_ID_BACK,    CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_ID006, CSOBAR_COMMON_BUTTON,        CSO_BUTTON_DISP, (-1),        NULL,      (TCHAR *)szKey_BT5, NULL,   CSOBAR_CODEPOS_CENTER,            2, (-1), (-1), (-1), (-1), CSO_ID_FORWARD, CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_ID007, CSOBAR_BUTTON_NORM,          CSO_BUTTON_DISP, (-1),        NULL,      (TCHAR *)szKey_BT6, NULL,   CSOBAR_CODEPOS_CENTER,            2, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_ID008, CSOBAR_BUTTON_NORM,          CSO_BUTTON_DISP, (-1),        NULL,      (TCHAR *)szKey_BT7, NULL,   CSOBAR_CODEPOS_CENTER,            2, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,

	0,                    CSOBAR_SEP,                  CSO_BUTTON_DISP, (-1),        NULL,      NULL,               NULL,   0,                                2, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_A,     CSOBAR_BUTTON_NORM,          CSO_BUTTON_DISP, IDB_BITMAP1, NULL,      NULL,               NULL,   BS_AUTORADIOBUTTON | BS_PUSHLIKE, 2, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_B,     CSOBAR_BUTTON_NORM,          CSO_BUTTON_DISP, IDB_BITMAP2, NULL,      NULL,               NULL,   BS_AUTORADIOBUTTON | BS_PUSHLIKE, 2, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,
	ID_M_AP_BUTTON_C,     CSOBAR_BUTTON_NORM,          CSO_BUTTON_DISP, IDB_BITMAP3, NULL,      NULL,               NULL,   BS_AUTORADIOBUTTON | BS_PUSHLIKE, 2, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE,

	ID_M_AP_BUTTON_ID009, CSOBAR_BUTTON_NORM,          CSO_BUTTON_DISP, (-1),        NULL,      TEXT("RightPos"),   NULL,   CSOBAR_CODEPOS_CENTER,            3, (-1), (-1), (-1), (-1), 0,              CLR_INVALID, CLR_INVALID, CLR_INVALID, FALSE, FALSE
};

/*-----------------------------------------------------------------------------------------------*/
const CSOBAR_BASEINFO	ApCsoBar_DlgBaseInfo = 
{
	(-1),      (-1),    (-1), (-1),  1,      RGB(255,  0,255), CSOBAR_DEFAULT_CODECOLOR,  TEXT("INPUT"),      0,       0
};

const	TCHAR	szKey_END[]		= TEXT("END");
const CSOBAR_BUTTONINFO	ApCsoBar_DlgButtonInfo = 
{
	ID_M_AP_END,         CSOBAR_BUTTON_NORM,          CSO_BUTTON_DISP,  (-1), NULL,  NULL,      NULL,        CSOBAR_CODEPOS_CENTER,  1,     (-1),     (-1),  (-1), (-1),  0,  	CLR_INVALID, CLR_INVALID,CLR_INVALID, FALSE, FALSE
};

const BUTTON_CREATE_INFO	BtCreInfo[] = 
{
	TEXT("1"),	ID_M_AP_BUTTON_ID001,
	TEXT("2"),	ID_M_AP_BUTTON_ID002,
	TEXT("3"),	ID_M_AP_BUTTON_ID003,
	TEXT("4"),	ID_M_AP_BUTTON_ID004,
	TEXT("5"),	ID_M_AP_BUTTON_ID005,
	TEXT("6"),	ID_M_AP_BUTTON_ID006,
	TEXT("7"),	ID_M_AP_BUTTON_ID007,
	TEXT("8"),	ID_M_AP_BUTTON_ID008,
	TEXT("9"),	ID_M_AP_BUTTON_ID009
};

int		GetDrawWidth(HWND hWnd, LPCTSTR lpstr)
{
	HDC		hdc;
	int		key_moji = (-1);
	RECT	draw_cal;

	GetClientRect(hWnd, &draw_cal);

	hdc = GetDC(hWnd);
	DrawText(hdc, lpstr, (-1),
			&draw_cal,
			DT_SINGLELINE | DT_LEFT | DT_VCENTER | DT_NOCLIP | DT_CALCRECT | DT_NOPREFIX);
	ReleaseDC(hWnd, hdc);

	key_moji = (draw_cal.right - draw_cal.left);

	return(key_moji);
}
